// WaveletTransformView.cpp : implementation of the CWaveletTransformView class
//

#include "stdafx.h"
#include "WaveletTransform.h"

#include "WaveletTransformDoc.h"
#include "WaveletTransformView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView

IMPLEMENT_DYNCREATE(CWaveletTransformView, CView)

BEGIN_MESSAGE_MAP(CWaveletTransformView, CView)
	//{{AFX_MSG_MAP(CWaveletTransformView)
	ON_COMMAND(ID_WAVELET_TRANSFORM, OnWaveletTransform)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView construction/destruction

CWaveletTransformView::CWaveletTransformView()
{
	// TODO: add construction code here

}

CWaveletTransformView::~CWaveletTransformView()
{
}

BOOL CWaveletTransformView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView drawing

void CWaveletTransformView::OnDraw(CDC* pDC)
{
	CWaveletTransformDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here

	int i, j;
	int R, G, B;

	// Է  ȭ鿡 
	for(i=0 ; i<pDoc->m_Height ; i++){
		for(j=0 ; j<pDoc->m_Width ; j++){
			R = pDoc->m_InputImage[i*pDoc->m_Width + j];
			B = G = R;
			pDC->SetPixel(j+5, i+5, RGB(R, G, B));
		}
	}

	//   ȭ鿡 
	for(i=0 ; i<pDoc->m_Height ; i++){
		for(j=0 ; j<pDoc->m_Width ; j++){
			R = pDoc->m_OutputImage[i*pDoc->m_Width + j];
			B = G = R;
			pDC->SetPixel(j+pDoc->m_Width+10, i+5, RGB(R, G, B));
		}
	}
}

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView printing

BOOL CWaveletTransformView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CWaveletTransformView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CWaveletTransformView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView diagnostics

#ifdef _DEBUG
void CWaveletTransformView::AssertValid() const
{
	CView::AssertValid();
}

void CWaveletTransformView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CWaveletTransformDoc* CWaveletTransformView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWaveletTransformDoc)));
	return (CWaveletTransformDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformView message handlers

void CWaveletTransformView::OnWaveletTransform() 
{
	// TODO: Add your command handler code here
	CWaveletTransformDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->OnWaveletTransform();

	Invalidate(TRUE);
	
}
